using System;

namespace Decal.Adapter.Wrappers;

public class SpellCastEventArgs : EventArgs
{
	private CastEventType mtype;

	private int mSpellId;

	private int mTargetId;

	public int SpellId => mSpellId;

	public int TargetId => mTargetId;

	public CastEventType EventType
	{
		get
		{
			return mtype;
		}
		set
		{
			mtype = value;
		}
	}

	internal SpellCastEventArgs(CastEventType type, int spellId, int targetId)
	{
		mtype = type;
		mSpellId = spellId;
		mTargetId = targetId;
	}
}
